Skip to content

Delete SSO Configuration



GET /api/v1/sso/{sso_uuid}/delete

Overview

Delete an SSO login configuration

Route Parameters

Parameter Name Type Required Description
sso_uuid string Y SSO configuration item id

Query Request Parameters

Parameter Name Type Required Description
needNotify string Whether to send an email notification for SSO configuration deletion, default is true; passing false only suppresses email notification, does not affect configuration deletion and audit records
Example: true
Allow empty: False
Allowed values: ['true', 'false']

Parameter Supplementary Description

Request Example

curl 'https://openapi.guance.com/api/v1/sso/sso_xxxx32/delete' \
-H 'DF-API-KEY: <DF-API-KEY>' \
--compressed 

Response

{
    "code": 200,
    "content": {
        "name": ""
    },
    "errorCode": "",
    "message": "",
    "success": true,
    "traceId": "TRACE-8D7EC84A-D42B-483C-9273-427A9033BB3F"
} 

Feedback

Is this page helpful? ×